Skip to navigation

Get Store Information

Returns metadata about the global settings for a store. Some of these values are independently configurable on a per-storefront or per-channel basis. For channel overrides, see Store Settings.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringOptionalDefaults to application/json

The MIME type of the response body.

Response

OK
idstringOptional
The store hash, a unique store identifier.
account_uuidstringOptionalformat: "uuid"
The UUID of the account to which the store belongs.
domainstringOptional
Primary domain name.
secure_urlstringOptional

Store’s current HTTPS URL.

control_panel_base_urlstringOptional
The secure hostname of the control panel.
statusstringOptional
The status of the store.
namestringOptional

Store’s name.

first_namestringOptional

Primary contact’s first name (as defined during the store sign-up process).

last_namestringOptional

Primary contact’s last name (as defined during the store sign-up process).

addressstringOptional
Display address.
countrystringOptional

Country where the store is located (as defined during the store sign-up process).

country_codestringOptional

Two-letter ISO 3166-1 country code

infrastructure_regionstringOptional

The infrastructure region where the store is located. Use this to determine where to place supporting infrastructure for minimum latency to the store. Compare against GCP regions on https://cloud.google.com/compute/docs/regions-zones

phonestringOptional
Display phone number.
admin_emailstringOptional

Email address of the store administrator/owner.

order_emailstringOptional
Email address for orders and fulfillment.
favicon_urlstringOptional

The URL of the favicon image associated with the website. This should be a valid URL pointing to an .ico or other supported icon format file.

timezoneobjectOptional
languagestringOptional
Default language code.
currencystringOptional
Default currency code.
currency_symbolstringOptional
Default symbol for values in the currency.
decimal_separatorstringOptional
Default decimal separator for values in the currency.
thousands_separatorstringOptional
Default thousands separator for values in the currency.
decimal_placesintegerOptional
Default decimal places for values in the currency.
currency_symbol_locationstringOptional

Default position of the currency symbol (left or right).

weight_unitsstringOptional

Default weight units (metric or imperial).

dimension_unitsstringOptional

Default dimension units (metric or imperial).

dimension_decimal_placesintegerOptional
The number of decimal places.
dimension_decimal_tokenstringOptional
The symbol that separates the whole numbers from the decimal points.
dimension_thousands_tokenstringOptional
The symbol used to denote thousands.
plan_namestringOptional
Name of the BigCommerce plan to which this store is subscribed.
plan_levelstringOptional
Level of the BigCommerce plan to which this store is subscribed.
plan_is_trialbooleanOptional
Whether the payment plan associated with the store is still in the trial phase.
industrystringOptional

Industry, or vertical category, in which the business operates. (As selected from drop-down list during the store sign-up process.)

is_price_entered_with_taxbooleanOptional
A Boolean value that indicates whether or not prices are entered with tax.
store_idintegerOptional
The numeric ID of the store. This is a different unique ID than the store hash.
default_channel_idintegerOptionalDefaults to 1

The ID of the default channel. The ID of the first hosted storefront created on the store is 1.

default_site_idintegerOptional
The BigCommerce ID of the website associated with the default storefront.
active_comparison_moduleslist of anyOptional
featuresobjectOptional

Describes some aspects of the storeʼs tech stack and configuration settings that affect the features available for the store to use.